/*FBO Dialog*/

.ui-widget { font-family: inherit; }
.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button { font-family: inherit; }

.fbo-dialog
{
    border-radius: 0px;
    border-color: #b5b5b5;
    background: white;
    padding: 0px;
    -webkit-box-shadow: 0px 0px 10px #b9b9b9;
       -moz-box-shadow: 0px 0px 10px #b9b9b9;
        -ms-box-shadow: 0px 0px 10px #b9b9b9;
         -o-box-shadow: 0px 0px 10px #b9b9b9;
            box-shadow: 0px 0px 10px #b9b9b9;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.3);
    position: absolute;
}

.fbo-dialog .ui-dialog-titlebar
{
    background: rgb(251, 239, 255);
    border: none;
    padding: 22px 26px 18px 26px;
}

.fbo-dialog .ui-dialog-titlebar-close
{
    display: none;
}

.fbo-dialog .ui-dialog-title
{
    color: black;
    font-size: 200%;
    font-weight: normal;
}

.fbo-dialog .ui-dialog-content
{
    padding: 26px 26px 14px 26px;
    overflow-x: hidden;
}

.fbo-dialog .ui-dialog-buttonpane
{
    margin: 0px;
    border: none;
    padding: 5px 26px 14px 26px;
    background-color: White;
}

.fbo-dialog .ui-dialog-buttonpane .ui-dialog-buttonset
{
    float: left;
}

.fbo-dialog .ui-button,
.fbo-dialog .ui-dialog-buttonpane button
{
    margin-top: 0px;
    margin-bottom: 0px;
    margin-right: 13px;
    border: none;
    background: #8661c2;
    border-radius: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.fbo-dialog button.ui-state-focus,
.fbo-dialog button.ui-state-hover,
.fbo-dialog .ui-dialog-buttonpane .ui-state-focus,
.fbo-dialog .ui-dialog-buttonpane .ui-state-hover
{
    background: #9571d0;
}

.fbo-dialog button.ui-state-disabled,
.fbo-dialog .ui-dialog-buttonpane .ui-state-disabled
{
    background: #e0e0e0;
    opacity: 1;
}

.fbo-dialog .ui-button-text
{
    color: white;
    font-weight: normal;
}

.fbo-dialog button.ui-state-disabled .ui-button-text
.fbo-dialog .ui-dialog-buttonpane .ui-state-disabled .ui-button-text
{
    color: #808080;
}

.fbo-dialog a
{
    color: #0cace2;
}





/*FBO Message*/

.fbo-message .ui-dialog-content
{
    white-space: nowrap;
}

.fbo-message .ui-dialog-content p
{
    display: inline-block;
    padding-top: 10px;
}

.fbo-message .ui-dialog-content:before
{
    content: '';
    float: left;
    margin-right: 18px;
    width: 42px;
    min-height: 70px;    
}

.fbo-message-question .ui-dialog-content:before
{
    background: url(../images/dlg_icons.png) 0px 0px no-repeat;
}

.fbo-message-error .ui-dialog-content:before
{
    background: url(../images/dlg_icons.png) -43px 0px no-repeat;
}

.fbo-message-warning .ui-dialog-content:before
{
    margin-right: 14px;
    width: 46px;
    background: url(../images/dlg_icons.png) -87px 0px no-repeat;
}

.fbo-message-info .ui-dialog-content:before
{
    background: url(../images/dlg_icons.png) -137px 0px no-repeat;
}

.fbo-message-idea .ui-dialog-content:before
{
    background: url(../images/dlg_icons.png) -182px 0px no-repeat;
}





.fbo-popup-dialog .ui-dialog-titlebar
{
    display: none;
}

.fbo-popup-dialog .ui-dialog-content {
    padding: 0;
}

/* FBO popup complex */
.fbo-popup-menu {
    margin:0; 
    padding:0;
    
    min-width: 120px;
    max-width: 250px;
    display: inline-block;
    list-style-type: none;
    
    background: white;
    width: 100%;
    
    font-size: 142%;
}

.fbo-popup-menu-item {
    padding: 2px 12px 2px 12px;
    background-color: white;
    -webkit-user-select: none;
       -moz-user-select: -moz-none;
        -ms-user-select: none;
            user-select: none;
}

.fbo-popup-menu-item span
{
    font-size: 75%;
}

.fbo-popup-menu-separator {
    padding-bottom:0;
    border-bottom: 1px solid #dddddd;
}

.fbo-popup-menu-item:hover {
    cursor: pointer;
    background-color: #f0f0f0;
}

.fbo-popup-menu-item.disabled:hover {
    cursor: default;
    background-color: transparent;
}